<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE struts-config PUBLIC
          "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN"
          "http://jakarta.apache.org/struts/dtds/struts-config_1_2.dtd">

<struts-config>
    <form-beans>
        <form-bean name="OpcionesForm" type="javabeans.OpcionesForm"/>
        <form-bean name="RegistroForm" type="javabeans.RegistroForm"/>
        <form-bean name="ValidacionForm" type="javabeans.ValidacionForm"/>    
    </form-beans>
    <global-forwards>
        <forward name="login"  path="/login.jsp"/>
        <forward name="toregistro"  path="/registro.jsp"/>
    </global-forwards>
    <action-mappings>
        <action input="/" name="ValidacionForm" path="/validar" scope="request" type="servlets.ValidarAction">
            <forward name="bienvenida" path="/opciones.jsp"/>
            <forward name="error" path="/login.jsp"/>      
        </action>
        <action input="/registro.jsp" name="RegistroForm" path="/registrar" scope="request" type="servlets.RegistrarAction">
            <forward name="registrado" path="/login.jsp"/>
        </action>
        <action path="/listado" name="OpcionesForm" type="servlets.ListadoAction" parameter="operacion">
            <forward name="listado" path="/listado.jsp"/>
        </action>
    </action-mappings>
    
   
</struts-config>

